Bug 1703849 - [pango] pango-view fails for backend ft2 because of missing dependency on ImageMagick
Summary: [pango] pango-view fails for backend ft2 because of missing dependency on Ima...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: pango
Version: 31
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Peng Wu
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-28 19:30 UTC by Joachim Frieben
Modified: 2019-11-28 07:00 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 18:08:36 UTC
Type: Bug


Attachments (Terms of Use)

Description Joachim Frieben 2019-04-28 19:30:14 UTC
Description of problem:
Using pango-view with backend ft2 in a current Fedora 29 Workstation installation fails because pango-view tries to launch the display utility from ImageMagick which has not been pulled in as a dependency.

Version-Release number of selected component (if applicable):
pango-1.42.4-2.fc29

How reproducible:
Always

Steps to Reproduce:
1. Launch GNOME session of a current Fedora 29 Workstation installation.
2. Run 'pango-view --backend=ft2 -t PANGO'.

Actual results:
Utility pango-view aborts with the error message:
 "pango-view: When running ImageMagick 'display' command: Failed to execute child process “display” (No such file or directory)"

Expected results:
Utility pango-view displays the sample text.

Additional info:
- Installing package ImageMagick prior to running pango-view ensures correct execution. Therefore, adding ImageMagick as a requirement of package pango solves this issue.
- It is probably preferable to patch pango-view such that it calls "gm display" from package GraphicsMagick and to pull in the latter instead of ImageMagick.

Comment 1 Peng Wu 2019-04-30 06:38:52 UTC
Personally I think the pango package doesn't need to require ImageMagick or GraphicsMagick.
It seems only the ft2 backend will use display, and print warning if not installed.

IIRC, GraphicsMagick is better maintained for security issues.

Comment 2 Matthias Clasen 2019-08-13 19:06:36 UTC
from the upstream pango perspective: not a bug

Comment 3 Ben Cotton 2019-10-31 18:57:35 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2019-11-27 18:08:36 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.